### Function

# GLib EqualFunc

#### Declaration

    gboolean
    (* GEqualFunc) (
      gconstpointer a,
      gconstpointer b
    )

#### Description [src]

Specifies the type of a function used to test two values for equality. The function should return `TRUE` if both values are equal and `FALSE` otherwise.

#### Parameters

`a`

  Type: `gconstpointer`

  A value.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`b`

  Type: `gconstpointer`

  A value to compare with.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if `a` = `b`; `FALSE` otherwise.